# $Revision: 1.223 $, $Date: 2009/08/01 12:52:58 $
%define		rpm_macros_rev	1.523
%define		find_lang_rev	1.32
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source2:	rpm-build.sh
Source3:	rpm-find-lang
Source4:	dokuwiki-find-lang.sh
#Patch0:		%{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp %{SOURCE0} .
#%patch0 -p1

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%endif

%build
rev=$(awk '/^#.*Revision:.*Date/{print $3}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk '/^#.*Id:.*/{print $4}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_usrlibrpm},/etc/shrc.d}
cp rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
install %{SOURCE1} $RPM_BUILD_ROOT%{_usrlibrpm}/service_generator.sh
install %{SOURCE2} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh
install %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
/etc/shrc.d/rpm-build.sh

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpm-build-macros.spec,v $
Revision 1.223  2009/08/01 12:52:58  wiget
- fix __python3 macro

Revision 1.222  2009/07/31 11:42:02  glen
- release 1

Revision 1.221  2009/07/31 11:41:44  glen
- 1.522: add force flag -f to %webapp_register
- version check in %build

Revision 1.220  2009/06/15 15:35:10  glen
- %_usrlibrpm is in rpm 4.4.9 too

Revision 1.219  2009/06/15 15:13:25  glen
- release 2

Revision 1.218  2009/06/15 15:07:10  glen
- use _rpmhome as rpm itself has the same macro

Revision 1.217  2009/06/15 15:02:42  glen
- 1.520: add dokuwiki-find-lang.sh helper

Revision 1.216  2009/06/12 07:38:43  glen
- 1.519: restart php-fpm if installed; fixed termination for %addusertogroup

Revision 1.215  2009/05/11 18:45:41  glen
- 1.517: add %tcl_version/%tcl_sitearch/%tcl_sitelib

Revision 1.214  2009/03/28 13:03:56  arekm
- up to 1.516; fix env cleaning

Revision 1.213  2009/03/26 11:57:15  glen
- fix rev

Revision 1.212  2009/03/26 11:48:58  glen
- 1.515: add -q to %addusertogroup (MISSINGOK behaviour)

Revision 1.211  2009/03/18 10:13:45  baggins
- 1.511
- cleaned and reenabled _smp_mflags, with a comment

Revision 1.210  2009/03/18 09:50:02  baggins
- 1.509
- DO NOT include %{_smp_mflags} for __make/__scons/__waf/__cmake
- while it may be good for automated builders, it's just annoying, confusing
  and obfuscating build process for everyone else

Revision 1.209  2009/03/03 22:49:51  glen
- 1.508: include %{_smp_mflags} for __make/__scons/__waf/__cmake

Revision 1.208  2009/02/25 22:38:04  wiget
- added python3 macros

Revision 1.207  2009/02/12 22:01:43  baggins
- 1.506
- add _preserve_env_base and a new way of redefining _preserve_env,
  due to rpm problems with %{expand:...} in complicated specs (ex. php.spec)

Revision 1.206  2009/02/11 19:48:38  glen
- 1.504: don't let requires_* macros break spec syntax for BR filling

Revision 1.205  2009/02/03 10:25:31  glen
- 1.502: make requires_eq, requires_releq, requires_eq_to return failure if queried package is not installed

Revision 1.204  2009/01/25 20:32:58  witekfl
- sync with rpm.macros

Revision 1.203  2008/11/24 14:58:16  sparky
- 1.498: added %_clean_env

Revision 1.202  2008/11/13 20:13:20  arekm
- 1.494

Revision 1.201  2008/11/08 11:06:47  arekm
- 1.492

Revision 1.200  2008/11/07 13:36:31  arekm
- 1.491

Revision 1.199  2008/11/05 17:56:13  arekm
- ver 1.490

Revision 1.198  2008/11/05 13:08:22  arekm
- up to 1.489

Revision 1.197  2008/11/05 10:37:02  arekm
- rel 3; and revert after builders upgrade

Revision 1.196  2008/11/05 10:35:42  arekm
- rel 2

Revision 1.195  2008/11/05 10:32:17  arekm
- 1.487

Revision 1.194  2008/11/05 10:00:16  arekm
- new macro __spec_install_post_check_so

Revision 1.193  2008/11/04 12:34:58  arekm
- up to 1.485 (ppc workarounds for http://bugzilla.kernel.org/show_bug.cgi?id=11143)

Revision 1.192  2008/10/26 23:12:32  glen
- rm: option `--interactive' doesn't allow an argument

Revision 1.191  2008/10/12 10:35:09  glen
- 1.484: add %ruby_rdocdir = /usr/share/rdoc

Revision 1.190  2008/10/06 16:35:45  glen
- correction: not all pkgs

Revision 1.189  2008/10/06 16:34:49  glen
- r1.483 bugfix: getgid check was inversed
  NB! all pkgs having %groupadd macro and built with x>=1.479 and x<1.483 should be rebuilt

Revision 1.188  2008/10/03 17:35:01  glen
- r1.479

Revision 1.187  2008/09/06 21:57:36  megabajt
- 1.478: added missing semicolons to fix lp#264147

Revision 1.186  2008/09/03 14:55:20  qboosh
- 1.477: fix build_kernel_modules with !dist_kernel and non-built tree

Revision 1.185  2008/08/29 16:07:27  glen
- 1.476

Revision 1.184  2008/08/26 13:51:03  glen
- 1.473: no %{dirname:xxx} expand in rpm 4.4.9

Revision 1.183  2008/08/12 19:18:33  glen
- 1.472: ugly %pear_package_setup -c channel.xml support

Revision 1.182  2008/07/31 15:59:40  qboosh
- 1.471: passing LDFLAGS for cmake

Revision 1.181  2008/07/24 07:17:55  arekm
- up to 1.470

Revision 1.180  2008/07/17 12:35:26  glen
- 1.469: add %py_lint macro

Revision 1.179  2008/07/15 00:35:41  glen
- ac compatible libtool macro

Revision 1.178  2008/07/01 11:44:03  arekm
- 1.467; no tabs/spaces in front of xorg deps

Revision 1.177  2008/07/01 11:40:25  arekm
- rev 1.466; xorg dep ranges fixed thanks to glen

Revision 1.176  2008/06/29 09:50:45  arekm
- rev 1.465; libtoolize macro uses --install option, now

Revision 1.175  2008/06/27 09:41:51  arekm
- up to 1.464

Revision 1.174  2008/06/25 19:13:40  arekm
- up to 1.463

Revision 1.173  2008/06/25 12:45:48  glen
- 1.462: the add %lua_ prefixed /etc/shell edit macros for cleaner specs

Revision 1.172  2008/06/16 15:11:22  glen
- 1.461: add %php_data_dir for libraries, frameworks, engines that are not PEAR classes

Revision 1.171  2008-06-11 18:55:45  glen
- 1.459: rpaths are normalized with readlink(1) again and $ORIGIN is translated to real path

Revision 1.170  2008-06-11 15:18:14  hawk
- macros 1.458, __spec_install_post_chrpath uses python again, check
  rpm.macros commit log for details

Revision 1.169  2008-06-03 16:25:06  qboosh
- macros 1.456, python no longer required (glen)

Revision 1.168  2008-06-03 15:03:12  adamg
- __spec_install_post_chrpath uses python

Revision 1.167  2008-05-27 11:15:51  glen
- 1.454

Revision 1.166  2008-05-27 05:31:30  glen
- 1.453: add %cc_version/%cxx_version

Revision 1.165  2008-05-24 11:51:46  glen
- 1.452: %_kernel_vermagic: a macro to be added @release that use `uname -r` as source

Revision 1.164  2008-05-20 13:44:49  pluto
- 1.451: normalize rpath before chrpath processing.

Revision 1.163  2008-05-05 13:56:45  glen
- 1.450: add %service -n

Revision 1.162  2008-04-07 17:25:57  glen
- 1.449: kernel macros reusability fixed

Revision 1.161  2008-04-04 17:04:09  glen
- up to 1.448

Revision 1.160  2008-03-22 19:14:43  qboosh
- 1.446 (_npkgconfigdir)

Revision 1.159  2008-03-21 22:58:06  glen
- r1.445

Revision 1.158  2008-03-17 12:14:53  glen
- 1.443: tmpdir/_tmppath multiple definitions causes weird memory leak

Revision 1.157  2008-03-15 19:42:08  arekm
- update to 1.442

Revision 1.156  2008-03-13 18:03:52  glen
- 1.438

Revision 1.155  2008-03-03 21:36:08  glen
- 1.437: make sure ghome macros end shell command

Revision 1.154  2008-02-15 00:29:58  glen
- find-lang moved here from main pkg

Revision 1.153  2008-02-12 21:49:21  glen
- 1.433: use rpm tag magic to supress epoch (none), update for kernel-vanila packaging

Revision 1.152  2008-02-08 13:09:49  glen
- 1.426: override %__rm = rm --interactive=never

Revision 1.151  2008-02-05 22:04:48  glen
- 1.424: flexible %_topdir

Revision 1.150  2008-01-31 00:12:17  glen
- 1.423: debuginfo packages are back

Revision 1.149  2008-01-30 09:50:11  hawk
- updated to 1.420, removed creating asm-* symlinks in %build_kernel_modules

Revision 1.148  2008-01-25 00:23:46  glen
- reset of LC_ALL,LINGUAS,LANGUAGE,LC_MESSAGES moved to rpm macros.patch

Revision 1.147  2008-01-16 20:54:52  glen
- 1.416: fixing %banner
- NB: 1.415 (too) is broken and any package built with it using %banner must be rebuilt

Revision 1.146  2008-01-15 21:26:46  glen
- 1.415: move whole %banner expansion to subshell, heredoc redirection works now too
- NB: 1.414 is broken and any package built with it using %banner must be rebuilt

Revision 1.145  2008-01-12 15:19:11  glen
- 1.414: allow %banner work without heredoc
- make %banner behave like one command in scripts

Revision 1.144  2008-01-06 19:59:05  qboosh
- 1.413: stripping bugfixes

Revision 1.143  2008-01-06 14:54:23  qboosh
- 1.412: _autostrip* support

Revision 1.142  2008-01-03 18:28:37  twittner
- added definitions for %ruby_vendorlibdir and %ruby_vendorarchdir macros
- 1.410

Revision 1.141  2007-12-25 22:57:55  glen
- rel 3

Revision 1.140  2007-12-02 23:01:35  glen
- 1.409: jpackage-utils 1.7.3 macros

Revision 1.139  2007-11-25 21:01:46  adamg
- rev 1.408 (missing suf install_kernel_module macro)

Revision 1.138  2007-11-17 19:18:39  areq
- rev 1.407

Revision 1.137  2007-11-06 21:12:40  glen
- 1.406: ac/th kernel macros all in one

Revision 1.136  2007/10/31 22:09:53  glen
- 1.402: convert symlinks to man links automatically

Revision 1.135  2007/10/18 21:51:40  arekm
- up to 1.398

Revision 1.134  2007/10/10 20:14:43  arekm
- up to 1.396 (stripping libpthread looks like a bad idea - http://www.cygwin.com/ml/gdb/2007-09/msg00120.html)

Revision 1.133  2007/09/22 09:45:12  glen
- 1.394: add %php_includedir

Revision 1.132  2007/09/18 08:14:57  glen
- 1.393

Revision 1.131  2007/09/06 20:49:35  arekm
- 1.392

Revision 1.130  2007/09/06 19:18:11  arekm
- 1.391

Revision 1.129  2007/09/06 16:24:05  arekm
- up to 1.389

Revision 1.128  2007/09/02 11:03:28  qboosh
- macros are 1.388 currently

Revision 1.127  2007/07/03 22:12:17  glen
- easier to merge with AC-branch

Revision 1.126  2007/06/17 10:08:01  qboosh
- fixed typo in rev 1.122 of commit log

Revision 1.125  2007/06/17 10:06:25  qboosh
- should be gettext-devel

Revision 1.124  2007/06/17 10:05:59  qboosh
- gettext 0.10 is no longer supported, Conflicts added

Revision 1.123  2007/06/14 21:09:20  arekm
- up to 1.386; fix __gettextize macro

Revision 1.122  2007/06/03 17:49:39  qboosh
- 1.384 (only *.info* are compressed in %{_infodir}

Revision 1.121  2007/04/09 16:08:44  qboosh
- 1.382 (pass FCFLAGS for Fortran > 77)

Revision 1.120  2007/04/09 08:47:56  qboosh
- 1.381 (ppc->powerpc in build_kernel_modules macro)

Revision 1.119  2007/03/16 09:55:15  pluto
- merge up/smp kernel infrastructure. th will use only smp.

Revision 1.118  2007/02/28 02:11:12  glen
- 1.375: %pear_package_setup -D

Revision 1.117  2007/02/25 02:22:32  glen
- update Group

Revision 1.116  2007/02/25 02:19:58  glen
- shrc should not be executed

Revision 1.115  2007/02/17 14:45:36  qrczak
- 1.372, cosmetics

Revision 1.114  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.113  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.112  2007/02/06 20:06:33  arekm
- disable LD_SYMBOLIC_FUNCTIONS

Revision 1.111  2007/01/30 22:27:37  pluto
- 1.369, syntax fixes.

Revision 1.110  2007/01/26 20:26:05  pluto
- 1.368 - optimize shared objects ( export LD_SYMBOLIC_FUNCTIONS=1 ).
  1.367 - fix smp only kernel build.

Revision 1.109  2007/01/14 14:42:18  qrczak
- 1.366
- Requires findutils >= 4.2.26 for xargs -d

Revision 1.108  2007/01/10 19:35:47  blues
- 1.365

Revision 1.107  2006/12/27 03:16:43  qboosh
- 1.359 (glen: chrpath/strip fix for filenames with spaces; omit docdir)

Revision 1.106  2006/12/23 02:44:51  glen
- 1.357: macros for browser plugins v2

Revision 1.105  2006/12/22 20:39:49  glen
- patchset macros updated

Revision 1.104  2006/12/22 20:05:51  glen
- 1.351: added %patchset_source, %patchset_patch

Revision 1.103  2006/12/20 11:14:25  adamg
- 1.349 - create proper symlinks for ppc/powerpc (thanks pluto)

Revision 1.102  2006/12/20 10:26:13  adamg
- 1.348:
  - verbose (and faster) __spec_install_post_strip (glen)
  - build_kernel_modules - create symlink to asm-%{_target_base_arch}
    - some modules need it (adamg)

Revision 1.101  2006/12/17 20:28:44  jackass
- back to working version, my mistake.

Revision 1.100  2006/12/16 20:36:02  shadzik
- 1.345 - fixes %build_kernel_modules makros

Revision 1.99  2006/12/14 23:12:46  glen
- php epoch; rel 2

Revision 1.98  2006/12/14 23:05:53  glen
- 1.344: added %php_webserver_restart, %php4_webserver_restart

Revision 1.97  2006/12/14 00:33:11  glen
- 1.341: added %{php_extensionsdir}, %{php_sysconfdir}

Revision 1.96  2006/12/12 13:56:33  pluto
- update to 1.339
  - override also LC_ALL, LANGUAGE, LC_MESSAGES
  - show statistics when compressing kernel modules
  - print compress kernel modules message only if kernel modules dir present
  - add %scons
  - unify %cmake vs %__cmake

Revision 1.95  2006/12/05 17:21:41  glen
- fix %waf macro

Revision 1.94  2006/12/05 17:08:10  glen
- 1.335: added %waf

Revision 1.93  2006/11/29 14:43:53  glen
- 1.333

Revision 1.92  2006/11/23 08:53:26  hawk
- release 2

Revision 1.91  2006/11/15 02:59:20  shadzik
- 1.332

Revision 1.90  2006/11/14 20:44:38  sparky
- 1.330: %build_kernel_modules fixed for 2.6.18 kernels

Revision 1.89  2006/11/13 19:41:56  shadzik
- 1.329: -C option in %build_kernel_modules

Revision 1.88  2006/11/11 14:34:33  sparky
- 1.326 (%build_kernel_modules and %install_kernel_modules)

Revision 1.87  2006/11/08 21:11:50  glen
- 1.325: PEAR macros updated for PEAR-1.5.0

Revision 1.86  2006/11/02 22:51:28  glen
- 1.322: %requires_php_extension should include zend_module_api

Revision 1.85  2006/09/28 18:38:12  sparky
- 1.321 for updared %__kernel_ver macro

Revision 1.84  2006/09/27 21:03:22  glen
- added shell aliases and macros to the package

Revision 1.83  2006/09/08 12:49:30  glen
- 1.319: ignore errors from nscd cache invalidation

Revision 1.82  2006/08/31 23:21:15  glen
- rel 1

Revision 1.81  2006/08/31 23:17:29  glen
- 1.317: correct typo in %env_update

Revision 1.80  2006/08/31 16:03:40  glen
- 1.316: added %env_update

Revision 1.79  2006/08/26 12:42:41  arekm
- rel 2

Revision 1.78  2006/08/06 20:47:15  pluto
- 1.315, fixed %filterout machinery.

Revision 1.77  2006/08/05 19:28:45  sparky
- 1.314

Revision 1.76  2006/08/05 18:41:17  sparky
- up to 1.313 (%filterout_*), please STBR TH

Revision 1.75  2006/07/24 06:43:37  freetz
- 1.312: %__gnome_doc_prepare, %update_icon_cache, %update_mime_database

Revision 1.74  2006/07/18 07:44:10  glen
- 1.310: make files writable before striping (like chrpath does)

Revision 1.73  2006/06/30 20:00:25  hawk
- updated macros revision

Revision 1.72  2006/06/23 21:10:34  sparky
- 1.308: inverted %_alt_kernel and %alt_kernel

Revision 1.71  2006/06/19 12:13:12  pluto
- macros rev. updated.

Revision 1.70  2006/06/11 12:49:14  glen
- 1.306

Revision 1.69  2006/05/25 07:27:54  jajcus
- removed duplicate _javadir and _javadocdir macros

Revision 1.68  2006/05/24 10:53:14  glen
- doesn't require rpm-build (break dep loop)

Revision 1.67  2006/05/24 09:18:44  glen
- 1:302: payloads moved out

Revision 1.66  2006/05/23 20:21:03  glen
- 1.300: lucky number for java and pear packages build

Revision 1.65  2006/05/08 23:23:29  glen
- 1.293: added %cmake macro

Revision 1.64  2006/05/02 21:27:31  glen
- 1.292: PHP PDO API version macros

Revision 1.63  2006/05/01 17:44:05  sparky
- 1.291: %alt_kernel and changed %_kernelsrcdir macros

Revision 1.62  2006/04/27 07:57:53  glen
- 1.290: add %_buildchangelogtruncate

Revision 1.61  2006/04/12 14:10:02  glen
- 1.289: nscd cache invalidation in %useradd/%groupadd

Revision 1.60  2006/03/12 14:05:31  glen
- 1.288: fixed %releq_kernel_* macros

Revision 1.59  2006/03/07 17:42:18  arekm
- updated

Revision 1.58  2006/03/02 17:45:30  glen
- 1.286 (kernel macro fixes)

Revision 1.57  2006/02/28 23:08:22  qboosh
- updated macros_rev to 1.285 (glen's webapp-related fix)

Revision 1.56  2006/02/17 15:22:14  glen
- 1.284: remove .packlist and perllocal.pod for perl packages

Revision 1.55  2006/02/05 17:13:37  glen
- 1.283 (Ac compatible revision)

Revision 1.54  2006/02/03 13:55:02  pluto
- rev 1.282, new libdir for modular xorg.

Revision 1.53  2006/01/30 17:55:40  glen
- %service will use /sbin/service to start daemons with clean env
- rel 3, STBR

Revision 1.52  2006/01/20 22:42:42  glen
- updated %service generator not to fail if sysconfig/rpm is not present; rel 2, STBR

Revision 1.51  2006/01/19 18:28:50  glen
- 1.281, STBR

Revision 1.50  2006/01/11 22:44:02  glen
- r1.280: webapp macros use %service

Revision 1.49  2005/12/31 13:41:28  glen
- 1.279 (fixed ruby macros bootstrapping)

Revision 1.48  2005/12/29 16:52:18  twittner
- ver. 1.277, STBR

Revision 1.47  2005/12/29 16:50:19  twittner
- add %ruby_ver_requires_eq and %ruby_ver_mod_requires_eq
  (Requires: ruby-modules(ver) = major version of ruby)

Revision 1.46  2005/12/21 21:54:13  glen
- allow querying apache1 modules api version
- rpm_macros_rev 1.273

Revision 1.45  2005/12/17 00:28:32  twittner
- added %ruby_sitelibdir macro
- ver. 1.272

Revision 1.44  2005/12/12 20:37:20  adgor
- 1.271

Revision 1.43  2005/12/10 00:37:42  glen
- prevent version and macro file being outdated (idea from pldcpan.spec)

Revision 1.42  2005/12/08 12:53:21  qboosh
- 1.269 (predefine kgcc to %__cc instead of hardcoded gcc)

Revision 1.41  2005/12/01 01:51:51  glen
- rpm_macros_rev 1.268

Revision 1.40  2005/12/01 01:38:00  glen
- rpm_macros_rev 1.266 (%service with brains)

Revision 1.39  2005/11/19 13:21:47  glen
- 1.263 (added ruby macros)

Revision 1.38  2005/11/03 15:09:05  glen
- AC-branch is gone. rest well

Revision 1.37  2005/10/30 18:43:29  qboosh
- updated pl

Revision 1.36  2005/10/30 14:18:53  glen
- spec got renamed

Revision 1.35  2005/10/28 21:00:35  glen
- update summary

Revision 1.34  2005/10/28 20:55:13  glen
- TODO completed, update description
- rpm_macros_rev 1.254

Revision 1.33  2005/10/28 20:53:36  glen
- rename to rpm-build-macros

Revision 1.32  2005/10/28 12:22:39  glen
- prepare for macros.build

Revision 1.31  2005/10/28 08:28:32  glen
- rpm_macros_rev 1.251
- alias rpm-build-macros

Revision 1.30  2005/10/27 14:44:06  glen
- rpm_macros_rev 1.248

Revision 1.29  2005/10/22 19:14:24  glen
- rpm macros rev 1.247

Revision 1.28  2005/10/15 17:56:13  glen
- copy-pasteable section

Revision 1.27  2005/10/15 17:55:13  glen
- 1.245

Revision 1.26  2005/10/11 09:22:44  glen
- rpm_macros_rev 1.243

Revision 1.25  2005/09/13 20:36:41  glen
- 1.238

Revision 1.24  2005/09/13 20:18:51  glen
- rpm_macros_rev 1.237 (php/zend api version macros)

Revision 1.23  2005/09/06 17:46:16  glen
- one more move on build needed

Revision 1.22  2005/09/06 17:45:20  glen
- rpm_macros_rev 1.236

Revision 1.21  2005/08/24 11:27:11  glen
- add builder help how to build for Ac

Revision 1.20  2005/08/24 11:26:42  glen
- rpm_macros_rev 1.235

Revision 1.19  2005/08/23 18:19:49  glen
- rpm macros 1.233

Revision 1.18  2005/07/15 11:15:25  glen
- rpm macros 1.231

Revision 1.17  2005/07/14 18:27:01  glen
- rpm macros 1.230

Revision 1.16  2005/07/14 16:03:35  glen
- rpm macros 1.229

Revision 1.15  2005/07/10 11:46:17  glen
- rpm macros 1.228

Revision 1.14  2005/06/30 21:52:33  glen
- rpm macros 1.226

Revision 1.13  2005/06/27 18:22:42  glen
- rpm_macros_rev 1.225

Revision 1.12  2005/06/23 12:51:54  glen
- rpm_macros_rev 1.224

Revision 1.11  2005/06/22 08:26:21  glen
- debuginfo was patched in rpm.spec, need to do it here too to cut down the bugs

Revision 1.10  2005/06/21 10:58:58  glen
- no %config

Revision 1.9  2005/06/20 21:26:36  qboosh
- pl

Revision 1.8  2005/06/19 21:51:54  glen
- use /etc/rpm/macros.pld due current macrofiles setting in rpmrc:
  macrofiles: /usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/etc/rpm/macros.*:....
  otherwise the rpm.macros copy wasn't readed (processed) at all

Revision 1.7  2005/06/19 19:14:16  glen
- add conflicts on rpm < 4.4.1 because in rpm.macros currently in AC-branch
  will expand in %install _enable_debug_packages, even if it's defined to 0.
  i think it's bug by itself (no way to disable _enable_debug_packages by
  redefining it to 0, other than %undefining it?)

  rpm-4.4.1:
  %install %{?_enable_debug_packages:%{?buildsubdir:%{debug_package}}}\

  rpm-4.3-0.20040107.62:
  %install \
  %if 0%{?_enable_debug_packages}\
  %{?buildsubdir:%{debug_package}}\
  %endif\

Revision 1.6  2005/06/19 18:01:19  glen
- version eq rpm_macros_rev
- rpm.macros will be overwritten with a upgrade

Revision 1.5  2005/06/19 17:42:27  glen
- R(rpm-build) to prevent broken builds?

Revision 1.4  2005/06/19 17:40:36  glen
- tag moving sample

Revision 1.3  2005/06/19 17:39:59  glen
- AC-branch possible too

Revision 1.2  2005/06/19 17:38:42  glen
- truncate to remove unprocessed @@ vars

Revision 1.1  2005/06/19 17:36:33  glen
- initial idea
